PHPExcel_Chart_DataSeries

category | PHPExcel
package | PHPExcel_Chart
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Chart_DataSeries

    __construct($plotType, $plotGrouping, $plotOrder, $plotLabel, $plotCategory, $plotValues, $smoothLine, $plotStyle)

### Parameters

#### $plotType

#### $plotGrouping

#### $plotOrder

#### $plotLabel

#### $plotCategory

#### $plotValues

#### $smoothLine

#### $plotStyle

## Get Plot Categories

    getPlotCategories() : array

### Returns

`array`of PHPExcel_Chart_DataSeriesValues

## Get Plot Category by Index

    getPlotCategoryByIndex($index) : \PHPExcel_Chart_DataSeriesValues

### Parameters

#### $index

### Returns

`\PHPExcel_Chart_DataSeriesValues`

## Get Plot Direction

    getPlotDirection() : string

### Returns

`string`

## Get Plot Grouping Type

    getPlotGrouping() : string

### Returns

`string`

## Get Plot Label by Index

    getPlotLabelByIndex($index) : \PHPExcel_Chart_DataSeriesValues

### Parameters

#### $index

### Returns

`\PHPExcel_Chart_DataSeriesValues`

## Get Plot Labels

    getPlotLabels() : array

### Returns

`array`of PHPExcel_Chart_DataSeriesValues

## Get Plot Order

    getPlotOrder() : string

### Returns

`string`

## Get Number of Plot Series

    getPlotSeriesCount() : integer

### Returns

`integer`

## Get Plot Style

    getPlotStyle() : string

### Returns

`string`

## Get Plot Type

    getPlotType() : string

### Returns

`string`

## Get Plot Values

    getPlotValues() : array

### Returns

`array`of PHPExcel_Chart_DataSeriesValues

## Get Plot Values by Index

    getPlotValuesByIndex($index) : \PHPExcel_Chart_DataSeriesValues

### Parameters

#### $index

### Returns

`\PHPExcel_Chart_DataSeriesValues`

## Get Smooth Line

    getSmoothLine() : boolean

### Returns

`boolean`

## refresh()

    refresh(\PHPExcel_Worksheet $worksheet)

### Parameters

#### $worksheet

## Set Plot Direction

    setPlotDirection(string $plotDirection) : \PHPExcel_Chart_DataSeries

### Parameters

#### $plotDirection

`string`

### Returns

`\PHPExcel_Chart_DataSeries`

## Set Plot Grouping Type

    setPlotGrouping(string $groupingType) : \PHPExcel_Chart_DataSeries

### Parameters

#### $groupingType

`string`

### Returns

`\PHPExcel_Chart_DataSeries`

## Set Plot Style

    setPlotStyle(string $plotStyle) : \PHPExcel_Chart_DataSeries

### Parameters

#### $plotStyle

`string`

### Returns

`\PHPExcel_Chart_DataSeries`

## Set Plot Type

    setPlotType(string $plotType) : \PHPExcel_Chart_DataSeries

### Parameters

#### $plotType

`string`

### Returns

`\PHPExcel_Chart_DataSeries`

## Set Smooth Line

    setSmoothLine(boolean $smoothLine) : \PHPExcel_Chart_DataSeries

### Parameters

#### $smoothLine

`boolean`

### Returns

`\PHPExcel_Chart_DataSeries`

### Properties

##

    $_plotCategory : array

##

    $_plotDirection : boolean

##

    $_plotGrouping : boolean

##

    $_plotLabel : array

##

    $_plotOrder : array

##

    $_plotStyle : string

##

    $_plotType : string

##

    $_plotValues : array

##

    $_smoothLine : string

### Constants

## DIRECTION_BAR

    DIRECTION_BAR

## DIRECTION_COL

    DIRECTION_COL

## DIRECTION_COLUMN

    DIRECTION_COLUMN

## DIRECTION_HORIZONTAL

    DIRECTION_HORIZONTAL

## DIRECTION_VERTICAL

    DIRECTION_VERTICAL

## GROUPING_CLUSTERED

    GROUPING_CLUSTERED

## GROUPING_PERCENT_STACKED

    GROUPING_PERCENT_STACKED

## GROUPING_STACKED

    GROUPING_STACKED

## GROUPING_STANDARD

    GROUPING_STANDARD

## STYLE_FILLED

    STYLE_FILLED

## STYLE_LINEMARKER

    STYLE_LINEMARKER

## STYLE_MARKER

    STYLE_MARKER

## STYLE_SMOOTHMARKER

    STYLE_SMOOTHMARKER

## TYPE_AREACHART

    TYPE_AREACHART

## TYPE_AREACHART_3D

    TYPE_AREACHART_3D

## TYPE_BARCHART

    TYPE_BARCHART

## TYPE_BARCHART_3D

    TYPE_BARCHART_3D

## TYPE_BUBBLECHART

    TYPE_BUBBLECHART

## TYPE_CANDLECHART

    TYPE_CANDLECHART

## TYPE_DONUTCHART

    TYPE_DONUTCHART

## TYPE_DOUGHTNUTCHART

    TYPE_DOUGHTNUTCHART

## TYPE_LINECHART

    TYPE_LINECHART

## TYPE_LINECHART_3D

    TYPE_LINECHART_3D

## TYPE_PIECHART

    TYPE_PIECHART

## TYPE_PIECHART_3D

    TYPE_PIECHART_3D

## TYPE_RADARCHART

    TYPE_RADARCHART

## TYPE_SCATTERCHART

    TYPE_SCATTERCHART

## TYPE_STOCKCHART

    TYPE_STOCKCHART

## TYPE_SURFACECHART

    TYPE_SURFACECHART

## TYPE_SURFACECHART_3D

    TYPE_SURFACECHART_3D